@()(implicit i18nMessages: Messages)

<span>
<div class="queueAgentGroups">
    <ul>
        <li ng-repeat="group in groupsArray[queue.id].groups"  class="groups" ng-show="!option.compactView.value || $last || group.agents.length > 0">
            <div ng-if="showGroup(group.penalty)" class="row" >
                <div class="col-md-1">
                    <div class="penalty text-right">
                        <em>{{group.penalty}}</em>
                    </div>
                    <div class="agent-trash" ng-class="{'agent-trash-compact': option.compactView.value}"
                         droppable-agent-trash ng-if="group.agents.length > 0">
                        <span class="glyphicon glyphicon-trash glyph-grey"></span>
                    </div>
                    <div class="foldPenalty">
                        <span ng-click="unFold()" ng-show="isFolded(group.penalty)" class="glyphicon glyphicon-chevron-down glyph-grey"></span>
                        <span ng-click="fold()" ng-show="isUnFolded(group.penalty)" class="glyphicon glyphicon-chevron-up glyph-grey"></span>
                    </div>
                </div>
                <div ng-class="{'col-md-1':group.agents.length === 0}" class="col-md-11 agentGroup" droppable-agent>
                    <ul class="nav nav-pills group" >
                        <li ng-if="group.agents.length == 0 " >
                            <d3-empty-group class="agentD3"></d3-empty-group>
                        </li>
                        <li ng-repeat="agent in group.agents | orderBy: option.compactView.value ? 'firstName' : 'lastName'">
                            <div draggable-agent>
                                @editAgent()
                                @agentAction()
                                <d3-agent data="agent" class="agentD3"></d3-agent>
                            </div>
                        </li>
                        @selectAgent()
                    </ul>
                </div>
            </div>
        </li>
        <li>
            <div ng-if="!showGroup(group.penalty)" class="row" >
                <div ng-click="unFold()" class="col-md-9 col-md-offset-1 expander">
                    @i18nMessages("ccmanager.expand")
                </div>
            <div>
        </li>
    </ul>
</div>
</span>